Package com.verisign.epp.codec.unhandlednamespaces.v1_0

## Interface EPPUnhandledNamespacesMonitor

- All Known Implementing Classes:
    `EPPUnhandledNamespacesMonitorLogger`

      public interface EPPUnhandledNamespacesMonitor

  Interface that can be passed into the filter classes (`EPPUnhandledNamespacesResponseFilter` and `EPPUnhandledNamespacesPollMessageFilter`) to implement a customized form of monitoring for returning unhandled namespace information to clients and to report it to the clients out of band to EPP. The concrete `EPPUnhandledNamespaces` should only be called if there is at least one unhandled namespace identified in the filter classes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `monitorUnhandledNamespaces​(EPPResponse aOrigResponse, EPPResponse aFilteredResponse, boolean aNoOp, java.util.Set<java.lang.String> aUnhandledNamespaces, java.lang.Object aData)` | Method called to monitor for returning unhandled namespace information to clients and to report it to the clients out of band to EPP.

- - ### Method Detail

    - #### monitorUnhandledNamespaces

          void monitorUnhandledNamespaces​(EPPResponse aOrigResponse,
                                          EPPResponse aFilteredResponse,
                                          boolean aNoOp,
                                          java.util.Set<java.lang.String> aUnhandledNamespaces,
                                          java.lang.Object aData)

      Method called to monitor for returning unhandled namespace information to clients and to report it to the clients out of band to EPP. A form of monitoring could include logging, aggregating the logging, and reporting the returning of unhandled namespace information.
      Parameters:
        `aOrigResponse` - The original EPP response that was created without consideration of the namespaces supported by the client.
        `aFilteredResponse` - The filtered EPP response that includes the filtered the unhandled namespace XML into <extValue> elements.
        `aNoOp` - If set to `true`, the filter classes (`EPPUnhandledNamespacesResponseFilter` and `EPPUnhandledNamespacesPollMessageFilter`) are used only to identify for the use of unhandled namespaces and
        `aUnhandledNamespaces` - The list of unhandled namespace URIs that were filtered into <extValue> elements.
        `aData` - Data object passed to the filter classes (`EPPUnhandledNamespacesResponseFilter` and `EPPUnhandledNamespacesPollMessageFilter`).